/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Update_Prediction_Table/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace prediction_unit {
namespace update_prediction_table {


#undef  FUNCTION
#define FUNCTION "Update_Prediction_Table::print"
  std::string Parameters::print (uint32_t depth)
  {
    log_printf(FUNC,Update_Prediction_Table,FUNCTION,"Begin");

    XML xml ("update_prediction_table");

    xml.balise_open("update_prediction_table");
//  xml.singleton_begin(""); xml.attribut("value",toString(_)); xml.singleton_end();
    xml.balise_close();

    log_printf(FUNC,Update_Prediction_Table,FUNCTION,"End");
    
    return xml.get_body(depth);
  };

#undef  FUNCTION
#define FUNCTION "Update_Prediction_Table::operator<<"
  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::core::multi_front_end::front_end::prediction_unit::update_prediction_table::Parameters & x)
  {
    log_printf(FUNC,Update_Prediction_Table,FUNCTION,"Begin");

    output_stream << x.print(0);
    
    log_printf(FUNC,Update_Prediction_Table,FUNCTION,"End");

    return output_stream;
  };

}; // end namespace update_prediction_table
}; // end namespace prediction_unit
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
